flex-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alex Harui (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (FLEX-34258) Error cross-compiling on Windows
Date Fri, 25 Apr 2014 17:33:16 GMT

    [ https://issues.apache.org/jira/browse/FLEX-34258?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13981286#comment-13981286
] 

Alex Harui commented on FLEX-34258:
-----------------------------------

Some folks may further find that, after replacing the broken mxmlc.bat with this one, that
you get the error:

Exception in thread "main" java.lang.UnsupportedClassVersionError: org/apache/flex/compiler/clients/MXMLJSC
: Unsupported major.minor version 51.0

This means that the batch file did not find Java 1.7 (aka Java 7).  The workaround is to modify
the mxmlc.bat file and replace "@java" with an explicit path to Java 1.7.  Anyone who can
assist with a smoother solution is welcome to do so.  For me, that involved replacing "@java"
with "c:\Windows\System32\java.exe"

I found the path to Java by doing "where java" on the command line.

> Error cross-compiling on Windows
> --------------------------------
>
>                 Key: FLEX-34258
>                 URL: https://issues.apache.org/jira/browse/FLEX-34258
>             Project: Apache Flex
>          Issue Type: Bug
>          Components: FalconJX, FlexJS
>    Affects Versions: Apache FlexJS 0.0.1
>            Reporter: Alex Harui
>            Assignee: Alex Harui
>            Priority: Critical
>         Attachments: mxmlc.bat
>
>
> When choosing Flash Builder Run -> External Tools -> FlexJS (FalconJX Debug and
Release Build) you get the following error:
> Error: unknown configuration variable 'js-output-type'.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message